Sublime text 3不能通过Package Control安装插件

大侠柳云枫 发布于 2013/06/18 11:02
阅读 20K+
收藏 0

我安装了Package Control,然后install package,虽然左下角提示成功,但是安装不了插件, Sublime text 3不能通过Package Control安装插件 等详细信息?

Exception in thread Thread-5:
Traceback (most recent call last):
  File "X/threading.py", line 639, in _bootstrap_inner
  File "D:\Sublime Text Build 3033\Data\Packages\Package Control\package_control\package_installer.py", line 241, in run
    self.result = self.manager.install_package(self.package)
  File "D:\Sublime Text Build 3033\Data\Packages\Package Control\package_control\package_manager.py", line 489, in install_package
    package_bytes = download_manager.fetch(url, 'Error downloading package.')
  File "D:\Sublime Text Build 3033\Data\Packages\Package Control\package_control\download_manager.py", line 180, in fetch
    return self.downloader.download(url, error_message, timeout, 3, prefer_cached)
  File "D:\Sublime Text Build 3033\Data\Packages\Package Control\package_control\downloaders\wininet_downloader.py", line 346, in download
    raise HttpError("HTTP error %s %s" % (general['status'], general['message']))
TypeError: __init__() missing 1 required positional argument: 'code'

加载中
0
shajiquan
shajiquan
还没装呢,现在不是还beta吗?
大侠柳云枫
大侠柳云枫
以前可以的,现在不行了,不知道为什么,好奇怪啊好奇怪
0
MrCong
MrCong
Sublime text 3已经不支持Package Control安装插件了,只能通过点击:菜单->首选项->浏览程序包 ,接着把复制刚才的“package control”文件到该目录下面。接着重启Sublime text 3就可以了
0
h
huawuya
有的插件是可以的,比如ConverterToUTF8,他会自动解压到packages目录下,试了几个其他的都不行,都是安装到Installed Packages目录下了,不过手动把Installed Packages目录下的插件解压到packages下就应该可以了,我现在用的插件都是用git从github上直接clone到packages目录下的。
0
LianyouCQ
LianyouCQ

Sublime text 3为python3K了,而好多插件还是python 2.x,所以会有点问题。

我有时也遇到输入install packages,不是提示插件列表,而是报错。好吧,到Installed Packages目录下,发现了除Package Control.sublime-package其它的包,删除了其它的,然后重启Sublime text就好了。

附:Sublime Text3 安装package control的方法[官方]:

http://wbond.net/sublime_packages/package_control/installation#ST3 

还是Sublime Text2好一些,果断换回来。

0
0
赵亮-碧海情天
赵亮-碧海情天
楼主是用ST3+ST2的PC了吧。先把PC升级了吧。
返回顶部
顶部